<?xml version="1.0" encoding="utf-8"?>
<config-project id="namespace1" version="1.0" showDisabledItems="false">
    <config-page id="page1" folder="false">
        <config-set id="groupbox_basic_config" level="0" dynamic="0" folder="false">
            <config id="things_to_know_description_key" type="labelfield" default="things_to_know_description" visible="true"/>
            <config id="things_to_know_description1_key" type="labelfield" default="things_to_know_description1" visible="true"/>
            <config id="things_to_know_description2_key" type="labelfield" default="things_to_know_description2" visible="true"/>
            <config id="base_product" type="enum" default="iMaster NCE-CampusInsight" required="true" editable="false" visible="false">
                <validation range="iMaster NCE-CampusInsight"/>
            </config>
            <config id="base_version" type="enum" default="V100R022C00SPC1b0" required="true" editable="false" visible="false">
                <validation range="V100R022C00SPC1b0"/>
            </config>
            <!--扩容和安装不加此字段就会出现环境步骤失败不能及时退出-->
            <config id="check_custom_online_fail_interrupt" type="enum" default="true" required="true" editable="false"  visible="false">
                <validation range="true,false"/>
            </config>

            <!--新增隐藏组件，跟ssh检查强相关-->
            <config id = "client_login_eth" type="enum" default="eth3" required="true" editable="false" visible="false">
                <validation range = "eth3"/>
            </config>

            <!--新增隐藏组件，跟 业务节点网络配置校验 强相关-->
            <config id = "check_ip_route" type="enum" default="no" required="true" editable="false" visible="false">
                <validation range = "yes,no"/>
            </config>

            <config id="base_scene_choices_expand" type="enum" default="" required="true" editable="true">
                <validation range="local_deployment,public_cloud,msp_cloud"/>
            </config>
            <config id="base_scene_choices_1" type="enum" default="" required="true" editable="true" dependsID="base_scene_choices_expand" dependsAction="show"
                    dependsValue="local_deployment" dependsOp="eq" copyTo="base_scene_choices">
                <validation range="classic,private"/>
            </config>

			<config id="base_scene_choices_2" type="enum" default="public" required="true" editable="true" dependsID="base_scene_choices_expand" dependsAction="show"
                    dependsValue="public_cloud" dependsOp="eq" copyTo="base_scene_choices">
                <validation range="public"/>
            </config>

			<config id="base_scene_choices_3" type="enum" default="msp_public" required="true" editable="true" dependsID="base_scene_choices_expand" dependsAction="show"
                    dependsValue="msp_cloud" dependsOp="eq" copyTo="base_scene_choices">
                <validation range="msp_public"/>
            </config>

            <config id="base_scene_choices" default="" type="String" required="true" visible="false"/>

            <config id="base_arch_type" type="enum" default="x86" required="true" editable="true" visible="true">
                <validation range="x86,arm"/>
            </config>

            <config id="base_os_type_1" type="enum" default="EulerOS" required="true" editable="true"
                    dependsID="base_arch_type" dependsAction="show"
                    dependsValue="arm" dependsOp="eq" copyTo="base_os_type">
                <validation range="EulerOS,Kylin"/>
            </config>

            <config id="base_os_type_2" type="enum" default="EulerOS" required="true" editable="true"
                    dependsID="base_arch_type,base_scene_choices" dependsAction="show"
                    dependsValue="x86,public" dependsOp="eq,ne" copyTo="base_os_type">
                <validation range="EulerOS,SLES"/>
            </config>

            <config id="base_os_type_3" type="enum" default="EulerOS" required="true" editable="true"
                    dependsID="base_arch_type,base_scene_choices" dependsAction="show"
                    dependsValue="x86,public" dependsOp="eq,eq" copyTo="base_os_type">
                <validation range="EulerOS"/>
            </config>

            <config id="base_os_type" type="string" default="EulerOS" required="false" editable="false" visible="false"/>

            <config id="base_analyzer_node_scale" type="spinner" default="3" min="3" max="50" required="true"
                    editable="false" visible="true">
            </config>

            <!--Yes改成YES，不用动代码的前提下国际化正确-->
            <!--已经切换工程平台GLB此处的选择仅仅时界面后台action.json传的都是NO-->
            <config id="base_use_lvs" type="enum" default="YES" required="true" editable="true" visible="false">
                <validation range="YES,NO"/>
            </config>
            <config id="base_use_lvs_1" type="enum" default="NO" required="true" editable="false"
                    dependsID="base_scene_choices"
                    dependsOp="eq" dependsValue="public" dependsAction="show" copyTo="base_use_lvs">
                <validation range="NO"/>
            </config>
            <config id="base_use_lvs_2" type="enum" default="YES" required="true" editable="false"
                    dependsID="base_scene_choices"
                    dependsOp="eq" dependsValue="public" dependsAction="hide" copyTo="base_use_lvs">
                <validation range="YES,NO"/>
            </config>

            <config id="base_north_south_divided_campus" type="enum" default="" required="true" editable="true"
                    visible="false">
                <validation range="Yes,No"/>
            </config>
            <config id="base_north_south_divided_1" type="enum" default="No" required="true" editable="false"
                    dependsID="base_scene_choices"
                    dependsOp="eq" dependsValue="public" dependsAction="show" copyTo="base_north_south_divided_campus">
                <validation range="No"/>
            </config>
            <config id="base_north_south_divided_2" type="enum" default="" required="true" editable="true"
                    dependsID="base_scene_choices"
                    dependsOp="eq" dependsValue="public" dependsAction="hide" copyTo="base_north_south_divided_campus">
                <validation range="Yes,No"/>
            </config>
            <!--南北向协议栈-->
            <config id="north_type_1" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="base_scene_choices" dependsOp="ne" dependsValue="public" dependsAction="show" copyTo="north_type">
				<validation range="IPv4,IPv6"/>
			</config>
            <config id="north_type_2" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="base_scene_choices" dependsOp="eq" dependsValue="public" dependsAction="show,disable" copyTo="north_type">
				<validation range="IPv4"/>
			</config>
            <config id="south_type_1" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="north_type_1,base_scene_choices" dependsOp="eq,ne" dependsValue="IPv4,public" dependsAction="show,show" copyTo="south_type">
				<validation range="IPv4,both"/>
			</config>

            <config id="south_type_2" type="enum" default="IPv6" editable="true" required="true"
                    dependsID="north_type_1,base_scene_choices" dependsOp="eq,ne" dependsValue="IPv6,public" dependsAction="show,show" copyTo="south_type">
				<validation range="IPv6"/>
			</config>
            <config id="south_type_3" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="base_scene_choices" dependsOp="eq" dependsValue="public" dependsAction="show,disable" copyTo="south_type">
				<validation range="IPv4"/>
			</config>
            <config id="north_type" type="string" default="IPv4" required="false" editable="false" visible="false" />
            <config id="south_type" type="string" default="IPv4" required="false" editable="false" visible="false" />

            <config id="is_protection_hot" type="enum" default="" required="true" editable="true"
                    visible="false">
                <validation range="Yes,No"/>
            </config>
            <config id="is_protection_hot_1" type="enum" default="No" required="true" editable="false"
                    dependsID="base_scene_choices"
                    dependsOp="eq" dependsValue="public"  dependsAction="show" copyTo="is_protection_hot">
                <validation range="No"/>
            </config>
			<config id="is_protection_hot_2" type="enum" default="No" required="true" editable="false"
                    dependsID="north_type"
                    dependsOp="eq" dependsValue="IPv6"  dependsAction="show" copyTo="is_protection_hot">
                <validation range="No"/>
            </config>
			<config id="is_protection_hot_3" type="enum" default="No" required="true" editable="true"
                    dependsID="base_scene_choices,north_type"
                    dependsOp="in,eq" dependsValue="classic|private|msp_public,IPv4"  dependsAction="show,show" copyTo="is_protection_hot">
                <validation range="Yes,No"/>
            </config>

            <config id="memory_size_select" type="enum" default="mem_128g" required="true" editable="true" visible="true">
                <validation range="mem_128g,mem_256g"/>
            </config>
            <config id="campus_cluster_components" type="checkbox_group" default="basicinfo" required="false" dependsID="memory_size_select" dependsOp="eq" dependsValue="mem_128g" dependsAction="show"
                    force="basicinfo" visible="true" copyTo="components">
                <validation range="basicinfo"/>
            </config>
            <config id="campus_cluster_components_pro" type="checkbox_group" default="basicinfo" required="false" dependsID="memory_size_select,base_scene_choices" dependsOp="eq,in" dependsValue="mem_256g,classic|private|public|msp_public" dependsAction="show"
                    force="basicinfo" visible="true" copyTo="components">
                <validation range="basicinfo,wlan_location,application_analyzer"/>
            </config>

            <config id="campus_cluster_ifit" type="enum" default="No" required="false" dependsID="memory_size_select,base_scene_choices,campus_cluster_components_pro" dependsOp="eq,eq,include" dependsValue="mem_256g,private,application_analyzer" dependsAction="show"
                    visible="true" copyTo="campus_ifit">
                <validation range="Yes,No"/>
            </config>
            <config id="components" type="string" visible="false"/>
            <config id="campus_ifit" type="string" visible="false">

            </config>

            <config id="server_type" type="enum" default="E9000" required="true" editable="false" visible="false">
                <validation range="E9000"/>
            </config>
            <config id="scene" type="string" default="id_scene_private_cloud" required="true" editable="false"
                    visible="false">
            </config>
            <config id="step_plan" type="string" default="id_product_install" required="true" editable="false"
                    visible="false">
            </config>
            <config id="region_alias" type="string" required="true" editable="true" visible="false">
            </config>
            <config id="base_task_home_dir" type="string" required="true" default="/root/EasySuite/" visible="false"/>
            <!-- Easysuite离线检查是否有： 不同网口间网段检查 -->
            <config id="check_ip_network_segment" type="string" required="true" default="false" visible="false"/>
        </config-set>
    </config-page>
</config-project>